Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class DirtyFlagMap

    java.lang.Object
      org.quartz.utils.DirtyFlagMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

Direct Known Subclasses:
  JobDataMap, SchedulerContext

public class DirtyFlagMap
extends Object
implements Map, Cloneable, Serializable

An implementation of `Map` that wraps another `Map` and flags itself 'dirty' when it is modified.

Author:
  James House
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`DirtyFlagMap()` Create a DirtyFlagMap that 'wraps' a `HashMap`.
`DirtyFlagMap(int initialCapacity)` Create a DirtyFlagMap that 'wraps' a `HashMap` that has the given initial capacity.
`DirtyFlagMap(int initialCapacity, float loadFactor)` Create a DirtyFlagMap that 'wraps' a `HashMap` that has the given initial capacity and load factor.
`DirtyFlagMap(Map mapToWrap)` Create a DirtyFlagMap that 'wraps' the given `Map`.

Method Summary
`void` | `clear()`
`void` | `clearDirtyFlag()` Clear the 'dirty' flag (set dirty flag to `false`).
`Object` | `clone()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object val)`
`Set` | `entrySet()`
`boolean` | `equals(Object obj)`
`Object` | `get(Object key)`
`Map` | `getWrappedMap()` Get a direct handle to the underlying Map.
`boolean` | `isDirty()` Determine whether the `Map` is flagged dirty.
`boolean` | `isEmpty()`
`boolean` | `isMutable()`
`Set` | `keySet()`
`Object` | `put(Object key, Object val)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`void` | `setMutable(boolean mutable)`
`int` | `size()`
`Collection` | `values()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Constructor Detail

### DirtyFlagMap

    public DirtyFlagMap(Map mapToWrap)

  Create a DirtyFlagMap that 'wraps' the given `Map`.

### DirtyFlagMap

    public DirtyFlagMap()

  Create a DirtyFlagMap that 'wraps' a `HashMap`.

See Also:
  `HashMap`

### DirtyFlagMap

    public DirtyFlagMap(int initialCapacity)

  Create a DirtyFlagMap that 'wraps' a `HashMap` that has the given initial capacity.

See Also:
  `HashMap`

### DirtyFlagMap

    public DirtyFlagMap(int initialCapacity,
                        float loadFactor)

  Create a DirtyFlagMap that 'wraps' a `HashMap` that has the given initial capacity and load factor.

See Also:
  `HashMap`

Method Detail

### setMutable

    public void setMutable(boolean mutable)

### isMutable

    public boolean isMutable()

### clearDirtyFlag

    public void clearDirtyFlag()

  Clear the 'dirty' flag (set dirty flag to `false`).

### isDirty

    public boolean isDirty()

  Determine whether the `Map` is flagged dirty.

### getWrappedMap

    public Map getWrappedMap()

  Get a direct handle to the underlying Map.

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object val)

  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object val)

  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map t)

  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### clone

    public Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD